<?php
$runtime = microtime(1);
session_start();
header('Content-Type: text/html; charset=utf-8');


/* Константы */
define('ROOT', $_SERVER['DOCUMENT_ROOT']);


/* Подключаем настройки */
require ROOT.'/system/config.php';


/* Настройки для БД */
define('DB_HOST', $db_host);
define('DB_USER', $db_user);
define('DB_PASS', $db_pass);
define('DB_BASE', $db_base);


/* Путь к скрипту */
define('URL', $_URL);


/* Режим отладки */
if($debug == 1)
{
	error_reporting(E_ALL);
}
else
{
	error_reporting(0);
}


/* Подключение библиотек */
require ROOT.'/system/function.php';
require ROOT.'/system/database.php';
require ROOT.'/system/template.php';
require ROOT.'/system/pagination.php';


/* Подключение к БД и установка кодировки */
$db = new MySQL();
$db->connect();
$db->charset('utf8');


/* Установка шаблонизатора */
$tpl = new Template(ROOT.'/templates');


/* Подключение настроек из БД */
$config = array();
$settings = $db->query("SELECT * FROM `config`");
while($item = $db->fetch($settings))
{
	$config[$item['key']] = $item['value'];
}


/* Текущая страница для постраничной навигации */
$page = 1;
if(isset($_GET['page']) and num($_GET['page']) != 0)
{
	$page = num($_GET['page']);
}


/* Проверка авторизации */
$login = false;
if(isset($_COOKIE['hash']))
{ 
	if($_COOKIE['hash'] == $config['hash'])
	{
		$login = true;
	}
}


/* Обновление счетчика онлайн */
$ip = ip_code($_SERVER['REMOTE_ADDR']);
$ua = (isset($_SERVER['HTTP_USER_AGENT'])) ? in($_SERVER['HTTP_USER_AGENT']) : 'no browser';

if($config['online'])
{
	$query = $db->query("SELECT * FROM `online` WHERE `ip`='".$ip."' AND `ua`='".$ua."'");
	if($db->num($query) > 0)
	{
		$db->query("UPDATE `online` SET `time`='".time()."' WHERE `ip`='".$ip."' AND `ua`='".$ua."'");
	}
	else
	{
		$db->query("INSERT INTO `online` SET  `ip`='".	$ip."', `time`='".time()."', `ua`='".$ua."'");
	}


	/* Количество человек онлайн */
	$user_online = $db->result("SELECT COUNT(*) FROM `online` WHERE `time`+".$config['time_online'].">'".time()."'");
	$db->query("DELETE FROM `online` WHERE `time`+".$config['time_online']."<'".time()."'");
	$data['user_online'] = $user_online;
}

/* Устанавливаем переменные для доступа в шаблонах */
$data['db'] = $db;
$data['config'] = $config;
$data['runtime'] = $runtime;
$data['page'] = $page;
$data['login'] = $login;
?>